function output = TOPOdLReflfaux3(params, arg2)
%length fluctuations of OPO to S2, part 3 (length fluct on phase of uppper sideband circulating in cavity to phase of lower sideband)
eval(params)
gammaORdLphi = -2*kr*(1-ror1*ror2*cos(phi))/(1-2*ror1*ror2*cos(phi)+(ror1*ror2)^2);
omegaOR1phi = -2*foFSR*(1-3*ror1*ror2*cos(phi)+((ror1*ror2)^2)*(2+cos(2*phi))-((ror1*ror2)^3)*cos(phi))/(1-ror1*ror2*cos(phi)-((ror1*ror2)^2)*(2-cos(2*phi))+((ror1*ror2)^3)*cos(phi));
omegaor2nphi= -foFSR*((1-2*ror1*ror2*cos(-phi)+(ror1*ror2)^2)/(1-ror1*ror2*cos(-phi))) ;
if omegaOR1phi > 0 ,  pole1 = [];
                       zero1 = -abs(omegaOR1phi);
                       gain1 = 1/abs(omegaOR1phi);
                       
elseif omegaOR1phi == 0, pole1 = [];
                         zero1 = [];
                         gain1 = 1;
                         
elseif omegaOR1phi <0, pole1 = -abs(omegaOR1phi);
                        zero1 = [];
                        gain1 = abs(omegaOR1phi);
end

if omegaor2nphi > 0 ,  pole2 = [];
                       zero2 = -abs(omegaor2nphi);
                       gain2 = 1/abs(omegaor2nphi);
                       
elseif omegaor2nphi == 0, pole2 = [];
                         zero2 = [];
                         gain2 = 1;
                         
elseif omegaor2nphi <0, pole2 = -abs(omegaor2nphi);
                        zero2 = [];
                        gain2 = abs(omegaor2nphi);
end

poles = [pole1 pole2];
zeros = [zero1 zero2];
gain = -gammaORdLphi*gain1*gain2;

if strcmp(arg2, 'gain'), output = gain;
elseif strcmp(arg2, 'zeros'), output = zeros;
elseif strcmp(arg2, 'poles'), output = poles;
end